Loading...
Searching...
No Matches
uhd::features::discoverable_feature_getter_iface Class Referenceabstract

`#include <uhd/features/discoverable_feature_getter_iface.hpp>`

Inheritance diagram for uhd::features::discoverable_feature_getter_iface:
[legend]

## Public Member Functions

virtual | ~discoverable_feature_getter_iface ()=default
template<typename T>
T & | get_feature ()
| Retrieves a feature of the specified type.
template<typename T>
bool | has_feature ()
| Determines whether a given feature exists.
virtual std::vector< std::string > | enumerate_features ()=0
| Enumerate all discoverable features present on the device.

## Detailed Description

Interface for discovering and accessing discoverable features.

## Constructor & Destructor Documentation

## ~discoverable_feature_getter_iface()

virtual uhd::features::discoverable_feature_getter_iface::~discoverable_feature_getter_iface | ( |  | ) |

virtual default

## Member Function Documentation

## enumerate_features()

virtual std::vector< std::string > uhd::features::discoverable_feature_getter_iface::enumerate_features | ( |  | ) |

pure virtual

Enumerate all discoverable features present on the device.

## get_feature()

template<typename T>

T & uhd::features::discoverable_feature_getter_iface::get_feature | ( |  | ) |

inline

Retrieves a feature of the specified type.

## has_feature()

template<typename T>

bool uhd::features::discoverable_feature_getter_iface::has_feature | ( |  | ) |

inline

Determines whether a given feature exists.

The documentation for this class was generated from the following file:

- discoverable_feature_getter_iface.hpp